ActiveGate release notes version 1.223

With this release, the oldest supported ActiveGate versions are:

How long are versions supported following rollout?

Resolved issues

General availability (Build 1.223.93)

4 total resolved issues (2 vulnerabilities)

Component Resolved issues
ActiveGate 3 (2 vulnerability)
OpenTelemetry Java 1

ActiveGate

  • Vulnerability: Hibernate Validator libraries have been updated in response to CVE-2020-10693, CVE-2019-10219. (APM-306220)
  • Vulnerability: Eclipse Jersey libraries have been updated in response to CVE-2021-28168. (APM-307879)
  • The ActiveGate installer no longer displays an unnecessary warning that it cannot check the hard limit value for `The maximum number of processes available to a single user`. (APM-310655)

OpenTelemetry Java

  • Fixed rare issue that caused OneAgent extension for AWS Lambda to receive incorrect 401 response during ActiveGate startup. (APM-310206)

Update 99 (1.223.99)

This is a cumulative update that includes all previously released updates for the 1.223 release.